summaryrefslogtreecommitdiff
path: root/packaging/Debian/debian/winbind.init
diff options
context:
space:
mode:
authorEloy Paris <peloy@samba.org>2003-06-01 04:30:13 +0000
committerEloy Paris <peloy@samba.org>2003-06-01 04:30:13 +0000
commit72cc0c82c415c872e270d924c795d6ac907a32fb (patch)
treedd0b7cb81c75fe123179988c264e445383eb25ed /packaging/Debian/debian/winbind.init
parentdbd4a83c7ffbf7043e085c5382f55cf336daf27e (diff)
downloadsamba-72cc0c82c415c872e270d924c795d6ac907a32fb.tar.gz
samba-72cc0c82c415c872e270d924c795d6ac907a32fb.tar.bz2
samba-72cc0c82c415c872e270d924c795d6ac907a32fb.zip
Bringing packaging/Debian/ up to date with the current Samba package
in Debian unstable. The stuff here was ages old... (This used to be commit 5646df8bfb327d74f9c07fc219023a5aecdbc70d)
Diffstat (limited to 'packaging/Debian/debian/winbind.init')
-rw-r--r--packaging/Debian/debian/winbind.init49
1 files changed, 49 insertions, 0 deletions
diff --git a/packaging/Debian/debian/winbind.init b/packaging/Debian/debian/winbind.init
new file mode 100644
index 0000000000..28b7ff8cf0
--- /dev/null
+++ b/packaging/Debian/debian/winbind.init
@@ -0,0 +1,49 @@
+#!/bin/sh
+#
+# Start/stops the winbindd daemon.
+#
+# $Id: winbind.init,v 1.1.6.1 2003/06/01 04:30:10 peloy Exp $
+#
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+
+DAEMON=/usr/sbin/winbindd
+
+# clear conflicting settings from the environment
+unset TMPDIR
+
+# See if the daemon is there
+test -x $DAEMON || exit 0
+
+case "$1" in
+ start)
+ echo -n "Starting the Winbind daemon: winbindd"
+
+ start-stop-daemon --start --quiet --exec $DAEMON
+
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping the Winbind daemon: winbindd"
+
+ start-stop-daemon --stop --quiet --oknodo --exec $DAEMON
+
+ echo "."
+ ;;
+ restart|force-reload)
+ echo -n "Restarting the Winbind daemon: winbindd"
+
+ start-stop-daemon --stop --quiet --oknodo --exec $DAEMON
+ sleep 2
+ start-stop-daemon --start --quiet --exec $DAEMON
+
+ echo "."
+ ;;
+ *)
+ echo "Usage: /etc/init.d/winbind {start|stop|restart|force-reload}"
+ exit 1
+ ;;
+esac
+
+exit 0
+